LookupTable (Java Platform SE 8 )
Keywords: java.awt.image.LookupTable class
Date: 2018-07-01

java.awt.image

## Class LookupTable

- java.lang.Object
- - java.awt.image.LookupTable

- Direct Known Subclasses:
    ByteLookupTable, ShortLookupTable

      public abstract class LookupTable
      extends Object

  This abstract class defines a lookup table object. ByteLookupTable and ShortLookupTable are subclasses, which contain byte and short data, respectively. A lookup table contains data arrays for one or more bands (or components) of an image (for example, separate arrays for R, G, and B), and it contains an offset which will be subtracted from the input values before indexing into the arrays. This allows an array smaller than the native data size to be provided for a constrained input. If there is only one array in the lookup table, it will be applied to all bands. All arrays must be the same size.
  See Also:
    `ByteLookupTable`, `ShortLookupTable`, `LookupOp`

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LookupTable(int offset, int numComponents)` Constructs a new LookupTable from the number of components and an offset into the lookup table.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumComponents()` Returns the number of components in the lookup table.
    `int` | `getOffset()` Returns the offset.
    `abstract int[]` | `lookupPixel(int[] src, int[] dest)` Returns an `int` array of components for one pixel.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LookupTable

          protected LookupTable(int offset,
                                int numComponents)

      Constructs a new LookupTable from the number of components and an offset into the lookup table.
      Parameters:
        `offset` - the offset to subtract from input values before indexing into the data arrays for this `LookupTable`
        `numComponents` - the number of data arrays in this `LookupTable`
      Throws:
        `IllegalArgumentException` - if `offset` is less than 0 or if `numComponents` is less than 1

  - ### Method Detail

    - #### getNumComponents

          public int getNumComponents()

      Returns the number of components in the lookup table.
      Returns:
        the number of components in this `LookupTable`.

    - #### getOffset

          public int getOffset()

      Returns the offset.
      Returns:
        the offset of this `LookupTable`.

    - #### lookupPixel

          public abstract int[] lookupPixel(int[] src,
                                            int[] dest)

      Returns an `int` array of components for one pixel. The `dest` array contains the result of the lookup and is returned. If dest is `null`, a new array is allocated. The source and destination can be equal.
      Parameters:
        `src` - the source array of components of one pixel
        `dest` - the destination array of components for one pixel, translated with this `LookupTable`
      Returns:
        an `int` array of components for one pixel.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2018, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.